Name: twm
Version: 1.0.1
Release: %mkrel 5
Summary: Tab Window Manager for the X Window System
Group: Development/X11
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
Source1: system.twmrc
Source2: twm
License: MIT
BuildRoot: %{_tmppath}/%{name}-root
Requires: desktop-common-data

BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: libxmu-devel >= 1.0.0
BuildRequires: libxt-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
Twm is a window manager for the X Window System. It provides titlebars, shaped
windows, several forms of icon management, user-defined macro functions,
click-to-type and pointer-driven keyboard focus, and user-specified key and
pointer button bindings.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS -DSYSTEM_INIT_FILE='\"%{_sysconfdir}/X11/twm/system.twmrc\"'" %configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_sysconfdir}/{menu.d,X11/twm}
install -m 644 %{SOURCE1} %{buildroot}/%{_sysconfdir}/X11/twm/system.twmrc-menu
install -m 755 %{SOURCE2} %{buildroot}/%{_sysconfdir}/menu.d


%clean
rm -rf %{buildroot}

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/X11/twm
%{_sysconfdir}/menu.d/twm
%{_bindir}/twm
%{_mandir}/man1/twm.1x.bz2


%changelog
* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-07-17 17:37:35 (41457)
- Fix incorrect path for xdg_menu

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-07-17 17:35:02 (41456)
- Fix path for xdg_menu

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-07-17 17:11:23 (41451)
- update menu on (un)install

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-07-17 17:08:02 (41450)
- Fix incorrect include

* Mon Jul 17 2006 Frederic Crozat <fcrozat@mandriva.com>
+ 2006-07-17 17:03:35 (41449)
- Add new XDG script

* Wed May 31 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-31 18:32:34 (31796)
- rebuild to fix cooker uploading

* Mon May 29 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-05-29 14:36:37 (31646)
- renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Thu May 04 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-05-04 21:25:17 (26918)
- increment release

* Thu Apr 27 2006 Gustavo Pichorim Boiko <boiko@mandriva.com>
+ 2006-04-27 04:02:05 (26704)
- Adding X.org 7.0 to the repository
